
Imports DotNetNuke
Imports DotNetNuke.Common
Imports DotNetNuke.Entities.Modules
Imports System.Data.SqlClient

Namespace VinoCellar.Modules.VCLinks
    Partial Class VCLinks
        Inherits Entities.Modules.PortalModuleBase

#Region " Private Members "
        Private strControl As String
#End Region

#Region " Private Methods "

        Private Sub Page_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
            Try

                ReadQueryString()

            Catch exc As Exception
                ProcessModuleLoadException(Me, exc)
            End Try
        End Sub

        Private Sub ReadQueryString()

            If (Request("LinkID") <> "") Then
                If (IsNumeric(Request("LinkID"))) Then
                    strControl = "ucAddLink.ascx"
                    LoadUserControl()
                End If
            Else
                If (Request("LinkDetail") <> "") Then
                    If (IsNumeric(Request("LinkDetail"))) Then
                        strControl = "ucLinkDetail.ascx"
                        LoadUserControl()
                    Else
                        strControl = "ucViewAll.ascx"
                        LoadUserControl()
                    End If
                Else
                    strControl = "ucViewAll.ascx"
                    LoadUserControl()
                End If
            End If

        End Sub

        Private Sub LoadUserControl()

            Dim DynamicPage As String
            DynamicPage = DotNetNuke.Common.ResolveUrl(strControl)
            Dim objModule As Entities.Modules.PortalModuleBase = CType(Me.LoadControl(DynamicPage), DotNetNuke.Entities.Modules.PortalModuleBase)
            If Not objModule Is Nothing Then
                objModule.ModuleConfiguration = Me.ModuleConfiguration
                phControls.Controls.Add(objModule)
            End If

        End Sub

#End Region

#Region " Event Handlers "

#End Region


    End Class
End Namespace
