<%@ Control Language="VB" AutoEventWireup="false" CodeFile="ucAddLink.ascx.vb" Inherits="VinoCellar.Modules.VCLinks.ucAddLink" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<div style="text-align: left">
    <asp:Label ID="lblPermission" runat="server" ForeColor="Red" ToolTip="* You must be a registered user to add a Wine Link"
        Visible="False"></asp:Label><br />
        <table border="0" cellpadding="0" cellspacing="4" style="width: 720px">
            <tr>
                <td style="width: 120px; height: 19px; text-align: left; font-size: 14px; font-family: Arial, Garamond;" align="left">
                    Select Category: &nbsp;
                </td>
                <td style="width: 520px; height: 19px">
                    <asp:DropDownList ID="ddlCategory" runat="server" ToolTip="Select a Wine Link Category" ValidationGroup="AddLink" AppendDataBoundItems="True" >
                        <asp:ListItem Value="0">Please Select a Category...</asp:ListItem>
                    </asp:DropDownList>
                    <asp:CustomValidator ID="cvalddlCategory" runat="server"
                        ControlToValidate="ddlCategory" ErrorMessage="* Please Select a Wine Category"
                        SetFocusOnError="True" ToolTip="Please Select a Wine Category" ValidationGroup="AddLink">* Please Select a Wine Category</asp:CustomValidator></td>
            </tr>
            <tr>
                <td style="width: 120px; height: 19px; text-align: left; font-size: 14px; font-family: Arial, Garamond;" align="left">
                    Name of Link: &nbsp;
                </td>
                <td style="width: 520px; height: 19px">
                    <asp:TextBox ID="tbLinkName" runat="server" Width="290px" MaxLength="100" ToolTip="Add Name of the Wine Link" ValidationGroup="AddLink"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="rfvaltbLinkName" runat="server" ControlToValidate="tbLinkName"
                        ErrorMessage="* Please Add a Wine Link Name" SetFocusOnError="True" ToolTip="Please Add a Wine Link Name"
                        ValidationGroup="AddLink">* Please Add a Wine Link Name</asp:RequiredFieldValidator><asp:CustomValidator
                            ID="cvalLinkNameExist" runat="server" ControlToValidate="tbLinkName" ErrorMessage="<br/>* This name already exists!"
                            ToolTip="This name already exists!" ValidationGroup="AddLink"><br />* This name already exists!</asp:CustomValidator>
                    <cc1:TextBoxWatermarkExtender ID="tbweLinkName" runat="server" TargetControlID="tbLinkName" WatermarkText="VinoCellar" WatermarkCssClass="WaterMarked">
                    </cc1:TextBoxWatermarkExtender>
                </td>
            </tr>
            <tr>
                <td style="width: 120px; height: 19px; text-align: left; font-size: 14px; font-family: Arial, Garamond;" align="left">
                    Link URL: &nbsp;
                </td>
                <td style="width: 520px; height: 19px">
                    <asp:TextBox ID="tbLinkURL" runat="server" Wrap="False" Width="290px" CausesValidation="True" MaxLength="100" ToolTip="Add URL of the Wine Link" ValidationGroup="AddLink"></asp:TextBox>
                    <asp:RegularExpressionValidator ID="regexpValtbURL" runat="server" ControlToValidate="tbLinkURL"
                        ErrorMessage="* Add a Wine Link URL (include http://)" SetFocusOnError="True"
                        ToolTip="Please Add a Wine Link URL (include http://)" ValidationExpression="http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&=]*)?"
                        ValidationGroup="AddLink">* Add a Wine Link URL (include http://)</asp:RegularExpressionValidator>
                    <asp:CustomValidator ID="cvalLinkURL" runat="server" ControlToValidate="tbLinkURL"
                        ErrorMessage="* URL Already Exists!" ToolTip="URL Already Exists!" ValidationGroup="AddLink">* URL Already Exists!</asp:CustomValidator>
                    <cc1:TextBoxWatermarkExtender ID="tbweLinkURL" runat="server" Enabled="True" TargetControlID="tbLinkURL" WatermarkText="http://www.VinoCellar.com" WatermarkCssClass="WaterMarked">
                    </cc1:TextBoxWatermarkExtender>
                </td>
            </tr>
            <tr>
                <td style="width: 120px; height: 19px; text-align: left; font-size: 14px; font-family: Arial, Garamond;" align="left">
                    Link Description: &nbsp;
                </td>
                <td style="width: 520px; height: 19px">
                    <asp:TextBox ID="tbLinkDescription" runat="server" MaxLength="1000" Rows="8" TextMode="MultiLine" ToolTip="Enter Wine Link Description Here" Width="400px"></asp:TextBox></td>
            </tr>
            <tr>
                <td style="width: 120px; height: 19px; text-align: left; font-size: 14px; font-family: Arial, Garamond;" align="left">
                </td>
                <td style="width: 520px; height: 19px">
                    &nbsp;</td>
            </tr>
            <tr>
                <td style="width: 120px; height: 19px; text-align: right; font-family: Garamond, Arial;" align="right">
                    <asp:Button ID="bReturn" runat="server" Text="Return" />
                    &nbsp;&nbsp;
                </td>
                <td style="width: 520px; height: 19px">
                    &nbsp;&nbsp;
                    <asp:Button ID="bSubmit" runat="server" Text="Submit and Return" ToolTip="Click to submit the new Wine Link" />&nbsp;
                    &nbsp;<asp:Button ID="bSubmitAddAnother" runat="server" Text="Submit And Add Another"
                        ToolTip="Click to submit the new Wine Link, and then add another" />
                    &nbsp;
                    <asp:Button ID="bDelete" runat="server" Text="Delete Link" />&nbsp; &nbsp;<asp:Button
                        ID="bUpdate" runat="server" Text="Update Link" />&nbsp; &nbsp;<asp:Label ID="lblNoEdit"
                            runat="server" ForeColor="Red"></asp:Label></td>
            </tr>
        </table>
    </div>